import { createSSRApp } from 'vue'

import App from './App.vue'
//import plugins from './plugins' // plugins
//import './permission' // permission
import { createPinia } from 'pinia'
import uviewPlus from 'uview-plus'
import {state,setGlobalVariable} from './common/prototype.js'//全局挂载
const pinia = createPinia()
// 创建Vue应用实例
export function createApp() {
    const app = createSSRApp(App)
	app.config.globalProperties.$state = state;
	app.config.globalProperties.$setGlobalVariable = setGlobalVariable;
    app.use(createPinia())
    app.use(uviewPlus)
  //  app.use(pinia)

    return {
        app
    };
}
